---
updatedAt: 2026-03-27T14:10:38.000Z
---

# API Overview

Methods for initiating and managing **TBC online installment** applications from merchant web page.

# Product Overview

Methods for initiating and managing Online Installment Applications from the e-commerce websites.

***

# API Overview

### Endpoint Addresses:

All endpoints are structured according to the following pattern:\ <code>{base-url}/{api-version}/{product}/{sub-product}</code>

#### Base URL

* Test service Base URL: <https://test-api.tbcbank.ge>
* Production service Base URL: <https://api.tbcbank.ge>

#### API Version

current version: <code>v1</code>

#### Product endpoints

* **Create Application**: <code>POST /online-installments/applications</code>\
  For initiating Online Installment application.
* **Cancel Application:** <code>POST /online-installments/applications/{session-id}/cancel</code>\
  To cancel the application for whatever reason.
* **Confirm Application**: <code>POST /online-installments/applications/{session-id}/confirm</code>\
  To confirm that products requested during application process are available and loan disbursement can be completed.
* **Check Status**: <code>GET /online-installments/applications/{session-id}/status</code>\
  Return a status of the initiated installment loan application.
* **Check Status changes for merchant applications**: <code>GET /online-installments/merchant/applications/status-changes</code>\
  Returns changed statuses of installment loan applications initiated by merchant.
* **Confirm application status synchronization** <code>POST /online-installments/merchant/applications/status-changes-sync</code>\
  To approve synchronization of requested information.

### Authorizing Requests:

* Requests should contain Bearer token in Authorization Header. Token should be obtained by Oauth Client Credential flow. Details regarding getting access token are described in the <a href="/docs/installment-get-access-token" target="_blank">following chapter</a>.

***

# Testing services:

* Postman collection with test services can be downloaded from the following link: [Online Installment Postman Collection](https://myapps.tbcbank.ge/files/OnlineInstallments_SampleRequests.zip)

***

## Error Response

In case of error, standard response in problem JSON will be returned.

> Details can be found at <a href="/docs/error-code-description" target="_blank">Error Code Description</a>.

## ENUM Values